package com.helpdesk.micaficito.modelos;
// Generated 11-dic-2019 11:52:12 by Hibernate Tools 4.3.1


import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 * TicketlinesId generated by hbm2java
 */
@Embeddable
public class TicketlinesId  implements java.io.Serializable {


     private String ticket;
     private int line;

    public TicketlinesId() {
    }

    public TicketlinesId(String ticket, int line) {
       this.ticket = ticket;
       this.line = line;
    }
   


    @Column(name="TICKET", nullable=false)
    public String getTicket() {
        return this.ticket;
    }
    
    public void setTicket(String ticket) {
        this.ticket = ticket;
    }


    @Column(name="LINE", nullable=false)
    public int getLine() {
        return this.line;
    }
    
    public void setLine(int line) {
        this.line = line;
    }


   public boolean equals(Object other) {
         if ( (this == other ) ) return true;
		 if ( (other == null ) ) return false;
		 if ( !(other instanceof TicketlinesId) ) return false;
		 TicketlinesId castOther = ( TicketlinesId ) other; 
         
		 return ( (this.getTicket()==castOther.getTicket()) || ( this.getTicket()!=null && castOther.getTicket()!=null && this.getTicket().equals(castOther.getTicket()) ) )
 && (this.getLine()==castOther.getLine());
   }
   
   public int hashCode() {
         int result = 17;
         
         result = 37 * result + ( getTicket() == null ? 0 : this.getTicket().hashCode() );
         result = 37 * result + this.getLine();
         return result;
   }   


}


